/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code anor resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
***/

#ifndef _GOLDSRC_CS_SDK_ENGINE_H_
#define _GOLDSRC_CS_SDK_ENGINE_H_

#include "./enums.h"
#include "hlsdk-includes\mathlib.h"
#include "hlsdk-includes\const.h"
#include "hlsdk-includes\com_model.h"
#include "hlsdk-includes\crc.h"
#include "hlsdk-includes\cvardef.h"
#include "hlsdk-includes\edict.h"
#include "hlsdk-includes\eiface.h"
#include "hlsdk-includes\progdefs.h"
#include "hlsdk-includes\custom.h"
#include "hlsdk-includes\customentity.h"
#include "hlsdk-includes\Sequence.h"
#include "hlsdk-includes\studio_event.h"
#include "hlsdk-includes\event_flags.h"
#include "hlsdk-includes\event_api.h"
#include "hlsdk-includes\event_args.h"
#include "hlsdk-includes\progs.h"
#include "hlsdk-includes\skill.h"
#include "hlsdk-includes\usercmd.h"
#include "hlsdk-includes\monsterevent.h"
#include "hlsdk-includes\pm_defs.h"
#include "hlsdk-includes\pm_info.h"
#include "hlsdk-includes\pm_materials.h"
#include "hlsdk-includes\pm_movevars.h"
#include "hlsdk-includes\pm_shared.h"
#include "hlsdk-includes\studio.h"

#include "./work.h"

#endif // _GOLDSRC_CS_SDK_ENGINE_H_
