/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CBASEPLATTRAIN__H
#define CBASEPLATTRAIN__H

typedef struct CBasePlatTrain_t CBasePlatTrain;
typedef struct CBasePlatTrain_s
{

	_vt_CBasePlatTrain*		vtable;
	#include "./offsets_cbaseplattrain.h"
	
} CBasePlatTrain_t;

typedef struct CFuncTrain_t CFuncTrain;
typedef struct CFuncTrain_s
{

	_vt_CFuncTrain*		vtable;
	#include "./offsets_cbaseplattrain.h"

	int		_dummy_79;
	int		_dummy_80;
	int		_dummy_81;
	int		_dummy_82;
	entvars_t*		m_pevCurrentTarget;
	int		m_sounds;
	BOOL		m_activated;

} CFuncTrain_t;

typedef struct CFuncPlat_t CFuncPlat;
typedef struct CFuncPlat_s
{

	_vt_CFuncPlat*		vtable;
	#include "./offsets_cfuncplat.h"
	
} CFuncPlat_t;

typedef struct CFuncPlatRot_t CFuncPlatRot;
typedef struct CFuncPlatRot_s
{

	_vt_CFuncPlatRot*		vtable;
	#include "./offsets_cfuncplatrot.h"
	
} CFuncPlatRot_t;

typedef struct CFuncTrackChange_t CFuncTrackChange;
typedef struct CFuncTrackChange_s
{

	_vt_CFuncTrackChange*		vtable;
	#include "./offsets_cfunctrackchange.h"

} CFuncTrackChange_t;

typedef struct CFuncTrackAuto_t CFuncTrackAuto;
typedef struct CFuncTrackAuto_s
{

	_vt_CFuncTrackAuto*		vtable;
	#include "./offsets_cbaseplattrain.h"


} CFuncTrackAuto_t;


#endif
