/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CBASEPLAYERAMMO__H
#define CBASEPLAYERAMMO__H

typedef struct CBasePlayerAmmo_t CBasePlayerAmmo;
typedef struct CBasePlayerAmmo_s
{
	_vt_CBasePlayerAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} CBasePlayerAmmo_t;

typedef struct C338MagnumAmmo_t C338MagnumAmmo;
typedef struct C338MagnumAmmo_s
{
	_vt_C338MagnumAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C338MagnumAmmo_t;
	
typedef struct C357SIGAmmo_t C357SIGAmmo;
typedef struct C357SIGAmmo_s
{
	_vt_C357SIGAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C357SIGAmmo_t;

typedef struct C45ACPAmmo_t C45ACPAmmo;
typedef struct C45ACPAmmo_s
{
	_vt_C45ACPAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C45ACPAmmo_t;

typedef struct C50AEAmmo_t C50AEAmmo;
typedef struct C50AEAmmo_s
{
	_vt_C50AEAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C50AEAmmo_t;

typedef struct C556NatoAmmo_t C556NatoAmmo;
typedef struct C556NatoAmmo_s
{
	_vt_C556NatoAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C556NatoAmmo_t;

typedef struct C556NatoBoxAmmo_t C556NatoBoxAmmo;
typedef struct C556NatoBoxAmmo_s
{
	_vt_C556NatoBoxAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C556NatoBoxAmmo_t;

typedef struct C57MMAmmo_t C57MMAmmo;
typedef struct C57MMAmmo_s
{
	_vt_C57MMAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C57MMAmmo_t;

typedef struct C762NatoAmmo_t C762NatoAmmo;
typedef struct C762NatoAmmo_s
{
	_vt_C762NatoAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C762NatoAmmo_t;

typedef struct C9MMAmmo_t C9MMAmmo;
typedef struct C9MMAmmo_s
{
	_vt_C9MMAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} C9MMAmmo_t;

typedef struct CBuckShotAmmo_t CBuckShotAmmo;
typedef struct CBuckShotAmmo_s
{
	_vt_CBuckShotAmmo*		vtable;
	#include "./offsets_cbaseentity.h"
	
} CBuckShotAmmo_t;

#endif
