/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CBREAKABLE__H
#define CBREAKABLE__H

typedef struct CBreakable_t CBreakable;
typedef struct CBreakable_s
{

	_vt_CBreakable*		vtable;
	#include "./offsets_cbreakable.h"
	
} CBreakable_t;

typedef struct CPushable_t CPushable;
typedef struct CPushable_s
{

	_vt_CPushable*		vtable;
	#include "./offsets_cbreakable.h"

	char*	m_soundNames[3];
	int		m_lastSound;
	float		m_maxSpeed;             // offset 48 (192) - size 1
	float		m_soundTime;            // offset 49 (196) - size 1

	
} CPushable_t;

#endif
