/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CCYCLER__H
#define CCYCLER__H

typedef struct CCycler_t CCycler;
typedef struct CCycler_s
{

	_vt_CCycler*		vtable;
	#include "./offsets_ccycler.h"
	
} CCycler_t;

typedef struct CGenericCycler_t CGenericCycler;
typedef struct CGenericCycler_s
{

	_vt_CGenericCycler*		vtable;
	#include "./offsets_ccycler.h"
	
} CGenericCycler_t;

typedef struct CCyclerProbe_t CCyclerProbe;
typedef struct CCyclerProbe_s
{

	_vt_CCyclerProbe*		vtable;
	#include "./offsets_ccycler.h"
	
} CCyclerProbe_t;

#endif
