/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CFUNCTANK__H
#define CFUNCTANK__H

typedef struct CFuncTank_t CFuncTank;
typedef struct CFuncTank_s
{
	_vt_CFuncTank*		vtable;
	#include "./offsets_cfunctank.h"
	
} CFuncTank_t;

typedef struct CFuncTankRocket_t CFuncTankRocket;
typedef struct CFuncTankRocket_s
{
	_vt_CFuncTankRocket*		vtable;
	#include "./offsets_cfunctank.h"

	
} CFuncTankRocket_t;

typedef struct CFuncTankGun_t CFuncTankGun;
typedef struct CFuncTankGun_s
{
	_vt_CFuncTankGun*		vtable;
	#include "./offsets_cfunctank.h"
	
} CFuncTankGun_t;

typedef struct CFuncTankLaser_t CFuncTankLaser;
typedef struct CFuncTankLaser_s
{
	_vt_CFuncTankLaser*		vtable;
	#include "./offsets_cfunctank.h"

	CBaseEntity*		m_pLaser;				// offset 70 (280) - size 1
	int		m_laserTime;						// offset 71 (284) - size 1
	
} CFuncTankLaser_t;

typedef struct CFuncTankMortar_t CFuncTankMortar;
typedef struct CFuncTankMortar_s
{
	_vt_CFuncTankMortar*		vtable;
	#include "./offsets_cfunctank.h"
	
} CFuncTankMortar_t;

#endif
