/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CFUNCWALL__H
#define CFUNCWALL__H

typedef struct CFuncWall_t CFuncWall;
typedef struct CFuncWall_s
{
	_vt_CFuncWall*		vtable;
	#include "./offsets_cbaseentity.h"
	
} CFuncWall_t;
	
typedef struct CFuncConveyor_t CFuncConveyor;
typedef struct CFuncConveyor_s
{
	_vt_CFuncConveyor*		vtable;
	#include "./offsets_cbaseentity.h"
	
} CFuncConveyor_t;

typedef struct CFuncMonsterClip_t CFuncMonsterClip;
typedef struct CFuncMonsterClip_s
{
	_vt_CFuncMonsterClip*		vtable;
	#include "./offsets_cbaseentity.h"
	
} CFuncMonsterClip_t;

typedef struct CFuncWallToggle_t CFuncWallToggle;
typedef struct CFuncWallToggle_s
{
	_vt_CFuncWallToggle*		vtable;
	#include "./offsets_cbaseentity.h"
	
} CFuncWallToggle_t;

#endif
