/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CGRENADE__H
#define CGRENADE__H

typedef struct CGrenade_t CGrenade;
typedef struct CGrenade_s
{

	_vt_CGrenade*		vtable;
	#include "./offsets_cgrenade.h"
	
} CGrenade_t;

typedef struct CAirtank_t CAirtank;
typedef struct CAirtank_s
{

	_vt_CAirtank*		vtable;
	#include "./offsets_cgrenade.h"
	
	int		m_state;
} CAirtank_t;

typedef struct CMortar_t CMortar;
typedef struct CMortar_s
{

	_vt_CMortar*		vtable;
	#include "./offsets_cgrenade.h"

	int		m_state;	
} CMortar_t;

#endif

