/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CLIGHT__H
#define CLIGHT__H

typedef struct CLight_t CLight;
typedef struct CLight_s
{

	_vt_CLight*		vtable;
	#include "./offsets_cbaseentity.h"
	
	int		m_iStyle;			// offset 38 size 1	// need to check order (in KeyValue should be ok)
	int		m_iszPattern;	// offset 39 size 1
	int		m_iPitch;			// offset 40 size 1
} CLight_t;

typedef struct CEnvLight_t CEnvLight;
typedef struct CEnvLight_s
{

	_vt_CEnvLight*		vtable;
	#include "./offsets_cbaseentity.h"
	
	int		m_iStyle;			// offset 38 size 1	// need to check order (in KeyValue should be ok)
	int		m_iszPattern;	// offset 39 size 1
	int		m_iPitch;			// offset 40 size 1
} CEnvLight_t;

#endif
