/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#ifndef CSPRITE__H
#define CSPRITE__H

typedef struct CSprite_t CSprite;
typedef struct CSprite_s
{

	_vt_CSprite*		vtable;
	#include "./offsets_cbaseentity.h"
	
	float		m_lastTime;		// offset 38 size 1
	float		m_maxFrame;	// offset 39 size 1
} CSprite_t;

typedef struct CBombGlow_t CBombGlow;
typedef struct CBombGlow_s
{

	_vt_CBombGlow*		vtable;
	#include "./offsets_cbaseentity.h"
	
	float		m_lastTime;				// offset 38 size 1
	float		m_maxFrame;			// offset 39 size 1
	float		m_flLastSoundTime;	// offset 40 size 1
	float		m_flSoundPeriod;		// offset 41 size 1
	bool		m_bIsModelSet;		// offset 168 size 1
	bool _dummy_42_2;
	bool _dummy_42_3;
	bool _dummy_42_4;
} CBombGlow_t;

#endif
