/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#include "./offsets_cbasetoggle.h"

	BOOL		m_fStayPushed;				// button stays pushed in until touched again?	// 73
	BOOL		m_fRotating;				// a rotating button?  default is a sliding button.	// 74
	
	string_t	m_strChangeTarget;			// if this field is not null, this is an index into the engine string array.// 75
	// when this button is touched, it's target entity's TARGET field will be set
	// to the button's ChangeTarget. This allows you to make a func_train switch paths, etc.
	
	locksound_t	m_ls;					// door lock sounds
	
	BYTE		m_bLockedSound;				// ordinals from entity selection // 85 // linux 90 (361)
	BYTE		m_bLockedSentence;			// 85 linux 90 (361)
	BYTE		m_bUnlockedSound;			// 85 linux 90 (362)
	BYTE		m_bUnlockedSentence;			// 85 linux 90 (363)
	int			m_sounds;				// 86