/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#include "./offsets_cbaseplayeritem.h"

	int					m_iPlayEmptySound;				// 44
	int					m_fFireOnEmpty;						// 45  // True when the gun is empty and the player is still holding down the attack key
	float					m_flNextPrimaryAttack;				// 46	// soonest time ItemPostFrame will call PrimaryAttack
	float					m_flNextSecondaryAttack;			// 47	// soonest time ItemPostFrame will call SecondaryAttack
	float					m_flTimeWeaponIdle;					// 48	// soonest time ItemPostFrame will call WeaponIdle
	int					m_iPrimaryAmmoType;				// 49	// "primary" ammo index into players m_rgAmmo[]
	int					m_iSecondaryAmmoType;			// 50	// "secondary" ammo index into players m_rgAmmo[]
	int					m_iClip;									// 51	// number of shots left in the primary weapon clip, -1 it not used
	int					m_iClientClip;							// 52	// the last version of m_iClip sent to hud dll
	int					m_iClientWeaponState;				// 53	// the last version of the weapon state sent to hud dll (is current weapon, is on target)
	int					m_fInReload;								// 54	// Are we in the middle of a reload;
	int					m_fInSpecialReload;					// 55	// Are we in the middle of a reload for the shotguns
	int					m_iDefaultAmmo;						// 56	// how much ammo you get when you pick up this weapon as placed by a level designer.

	int 					m_iShellLate;							// 57
	float					m_flWeaponSpeed;					// 58	// used for guns to restore after shield
	bool					m_bDelayFire;							// 59
	bool	_bummy_253;
	bool	_bummy_254;
	bool	_bummy_255;

	int					m_iDirection;								// 60	// The current lateral kicking direction ; 1 = right, 0 = left.
	int _dummy_61;
	float					m_flAccuracy;							// 62
	float					m_flLastFire;								// 63
	int 					m_iShotFired;							// 64
	int _dummy_65;
	int _dummy_66;
	int _dummy_67;
	int					m_iszViewModel;						// 68
	float					m_flGlock18Shoot; 					// 69
	int					m_iGlock18ShotsFired; 				// 70
	int					m_flFamasShoot;						// 71
	int					m_iFamasShotsFired; 				// 72
	float					m_flFamasBurstSpread; 			// 73
	int					m_fWeaponState; 						// 74
	float 					m_flNextReload; 						// 75
	float					m_flDecreaseShotsFired;			// 76
	unsigned short 	m_usGlock18Event;					// 77
	unsigned short 	m_usFamasEvent;						// 77
