/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/

#include "./offsets_cbaseentity.h"

CBaseEntity*	m_pController;			// 34
float		m_flNextAttack;			// 35
Vector		m_vecControllerUsePos;		// 36

float		m_yawCenter;			// "Center" yaw // 39
float		m_yawRate;			// Max turn rate to track targets // 40
float		m_yawRange;			// Range of turning motion (one-sided: 30 is +/- 30 degress from center) // 41
// Zero is full rotation
float		m_yawTolerance;			// Tolerance angle // 42

float		m_pitchCenter;			// "Center" pitch // 43
float		m_pitchRate;			// Max turn rate on pitch // 44
float		m_pitchRange;			// Range of pitch motion as above // 45
float		m_pitchTolerance;		// Tolerance angle // 46

float		m_fireLast;			// Last time I fired // 47
float		m_fireRate;			// How many rounds/second // 48
float		m_lastSightTime;		// Last time I saw target // 49
float		m_persist;			// Persistence of firing (how long do I shoot when I can't see) // 50
float		m_minRange;			// Minimum range to aim/track // 51
float		m_maxRange;			// Max range to aim/track // 52

Vector		m_barrelPos;			// Length of the freakin barrel // 53
float		m_spriteScale;			// Scale of any sprites we shoot // 56
int		m_iszSpriteSmoke;		// 57
int		m_iszSpriteFlash;		// 58
int		m_bulletType;			// Bullet type // 59
int		m_iBulletDamage;		// 0 means use Bullet type's default damage // 60

Vector		m_sightOrigin;			// Last sight of target // 61
int		m_spread;			// firing spread // 64
int		m_iszMaster;			// Master entity (game_team_master or multisource) // 65
