/***
*
*    Copyright (c) 1996-2002, Valve LLC. All rights reserved.
*
*    This product contains software technology licensed from Id
*    Software, Inc. ("Id Technology").  Id Technology (c) 1996 Id Software, Inc.
*    All Rights Reserved.
*
*    Compiling or running this code may violate patents in certain countries.
*
*   Use, distribution, and modification of this source code and/or resulting
*   object code is restricted to non-commercial enhancements to products from
*   Valve LLC.  All other use, distribution, or modification is prohibited
*   without written permission from Valve LLC.
*
****/


typedef struct _vt_CAirtank_t _vt_CAirtank;
typedef struct _vt_C357SIGAmmo_t _vt_C357SIGAmmo;
typedef struct _vt_C57MMAmmo_t _vt_C57MMAmmo;
typedef struct _vt_C338MagnumAmmo_t _vt_C338MagnumAmmo;
typedef struct _vt_C50AEAmmo_t _vt_C50AEAmmo;
typedef struct _vt_C45ACPAmmo_t _vt_C45ACPAmmo;
typedef struct _vt_C762NatoAmmo_t _vt_C762NatoAmmo;
typedef struct _vt_C556NatoBoxAmmo_t _vt_C556NatoBoxAmmo;
typedef struct _vt_C556NatoAmmo_t _vt_C556NatoAmmo;
typedef struct _vt_CBuckShotAmmo_t _vt_CBuckShotAmmo;
typedef struct _vt_C9MMAmmo_t _vt_C9MMAmmo;
typedef struct _vt_CBaseAnimating_t _vt_CBaseAnimating;
typedef struct _vt_CPendulum_t _vt_CPendulum;
typedef struct _vt_CFuncRotating_t _vt_CFuncRotating;
typedef struct _vt_CFuncMonsterClip_t _vt_CFuncMonsterClip;
typedef struct _vt_CFuncIllusionary_t _vt_CFuncIllusionary;
typedef struct _vt_CFuncConveyor_t _vt_CFuncConveyor;
typedef struct _vt_CFuncWallToggle_t _vt_CFuncWallToggle;
typedef struct _vt_CFuncWall_t _vt_CFuncWall;
typedef struct _vt_CButtonTarget_t _vt_CButtonTarget;
typedef struct _vt_CEnvSpark_t _vt_CEnvSpark;
typedef struct _vt_CMomentaryRotButton_t _vt_CMomentaryRotButton;
typedef struct _vt_CRotButton_t _vt_CRotButton;
typedef struct _vt_CEnvGlobal_t _vt_CEnvGlobal;
typedef struct _vt_CBaseButton_t _vt_CBaseButton;
typedef struct _vt_CMultiSource_t _vt_CMultiSource;
typedef struct _vt_CBaseEntity_t _vt_CBaseEntity;
typedef struct _vt_CGib_t _vt_CGib;
typedef struct _vt_CMomentaryDoor_t _vt_CMomentaryDoor;
typedef struct _vt_CRotDoor_t _vt_CRotDoor;
typedef struct _vt_CBaseDoor_t _vt_CBaseDoor;
typedef struct _vt_CItemSoda_t _vt_CItemSoda;
typedef struct _vt_CEnvBeverage_t _vt_CEnvBeverage;
typedef struct _vt_CEnvFunnel_t _vt_CEnvFunnel;
typedef struct _vt_CMessage_t _vt_CMessage;
typedef struct _vt_CFade_t _vt_CFade;
typedef struct _vt_CShake_t _vt_CShake;
typedef struct _vt_CBlood_t _vt_CBlood;
typedef struct _vt_CTestEffect_t _vt_CTestEffect;
typedef struct _vt_CEnvShooter_t _vt_CEnvShooter;
typedef struct _vt_CGibShooter_t _vt_CGibShooter;
typedef struct _vt_CBombGlow_t _vt_CBombGlow;
typedef struct _vt_CGlow_t _vt_CGlow;
typedef struct _vt_CLightning_t _vt_CLightning;
typedef struct _vt_CBubbling_t _vt_CBubbling;
typedef struct _vt_CLaser_t _vt_CLaser;
typedef struct _vt_CBeam_t _vt_CBeam;
typedef struct _vt_CSprite_t _vt_CSprite;
typedef struct _vt_CEnvExplosion_t _vt_CEnvExplosion;
typedef struct _vt_CShower_t _vt_CShower;
typedef struct _vt_CPushable_t _vt_CPushable;
typedef struct _vt_CBreakable_t _vt_CBreakable;
typedef struct _vt_CFuncTankControls_t _vt_CFuncTankControls;
typedef struct _vt_CFuncTankMortar_t _vt_CFuncTankMortar;
typedef struct _vt_CFuncTankRocket_t _vt_CFuncTankRocket;
typedef struct _vt_CFuncTankLaser_t _vt_CFuncTankLaser;
typedef struct _vt_CFuncTankGun_t _vt_CFuncTankGun;
typedef struct _vt_CFuncTank_t _vt_CFuncTank;
typedef struct _vt_CGameRules_t _vt_CGameRules;
typedef struct _vt_CGrenade_t _vt_CGrenade;
typedef struct _vt_CRecharge_t _vt_CRecharge;
typedef struct _vt_CWreckage_t _vt_CWreckage;
typedef struct _vt_CWeaponCycler_t _vt_CWeaponCycler;
typedef struct _vt_CCyclerSprite_t _vt_CCyclerSprite;
typedef struct _vt_CCyclerProbe_t _vt_CCyclerProbe;
typedef struct _vt_CGenericCycler_t _vt_CGenericCycler;
typedef struct _vt_CCycler_t _vt_CCycler;
typedef struct _vt_CWallHealth_t _vt_CWallHealth;
typedef struct _vt_CHealthKit_t _vt_CHealthKit;
typedef struct _vt_CWorldItem_t _vt_CWorldItem;
typedef struct _vt_CItem_t _vt_CItem;
typedef struct _vt_CItemThighPack_t _vt_CItemThighPack;
typedef struct _vt_CItemAssaultSuit_t _vt_CItemAssaultSuit;
typedef struct _vt_CItemKevlar_t _vt_CItemKevlar;
typedef struct _vt_CItemLongJump_t _vt_CItemLongJump;
typedef struct _vt_CItemSecurity_t _vt_CItemSecurity;
typedef struct _vt_CItemAntidote_t _vt_CItemAntidote;
typedef struct _vt_CItemBattery_t _vt_CItemBattery;
typedef struct _vt_CItemSuit_t _vt_CItemSuit;
typedef struct _vt_CEnvLight_t _vt_CEnvLight;
typedef struct _vt_CLight_t _vt_CLight;
typedef struct _vt_CGamePlayerTeam_t _vt_CGamePlayerTeam;
typedef struct _vt_CGamePlayerEquip_t _vt_CGamePlayerEquip;
typedef struct _vt_CGameCounterSet_t _vt_CGameCounterSet;
typedef struct _vt_CGameCounter_t _vt_CGameCounter;
typedef struct _vt_CGamePlayerHurt_t _vt_CGamePlayerHurt;
typedef struct _vt_CGamePlayerZone_t _vt_CGamePlayerZone;
typedef struct _vt_CGameTeamSet_t _vt_CGameTeamSet;
typedef struct _vt_CGameTeamMaster_t _vt_CGameTeamMaster;
typedef struct _vt_CGameText_t _vt_CGameText;
typedef struct _vt_CGameEnd_t _vt_CGameEnd;
typedef struct _vt_CGameScore_t _vt_CGameScore;
typedef struct _vt_CRuleBrushEntity_t _vt_CRuleBrushEntity;
typedef struct _vt_CRulePointEntity_t _vt_CRulePointEntity;
typedef struct _vt_CRuleEntity_t _vt_CRuleEntity;
typedef struct _vt_CMortar_t _vt_CMortar;
typedef struct _vt_CFuncMortarField_t _vt_CFuncMortarField;
typedef struct _vt_CBaseMonster_t _vt_CBaseMonster;
typedef struct _vt_CHalfLifeMultiplay_t _vt_CHalfLifeMultiplay;
typedef struct _vt_CCStrikeGameMgrHelper_t _vt_CCStrikeGameMgrHelper;
typedef struct _vt_IVoiceGameMgrHelper_t _vt_IVoiceGameMgrHelper;
typedef struct _vt_CMapInfo_t _vt_CMapInfo;
typedef struct _vt_CPathCorner_t _vt_CPathCorner;
typedef struct _vt_CPathTrack_t _vt_CPathTrack;
typedef struct _vt_CGunTarget_t _vt_CGunTarget;
typedef struct _vt_CFuncTrackAuto_t _vt_CFuncTrackAuto;
typedef struct _vt_CFuncTrackChange_t _vt_CFuncTrackChange;
typedef struct _vt_CFuncTrainControls_t _vt_CFuncTrainControls;
typedef struct _vt_CFuncTrain_t _vt_CFuncTrain;
typedef struct _vt_CFuncPlatRot_t _vt_CFuncPlatRot;
typedef struct _vt_CPlatTrigger_t _vt_CPlatTrigger;
typedef struct _vt_CFuncPlat_t _vt_CFuncPlat;
typedef struct _vt_CBasePlatTrain_t _vt_CBasePlatTrain;
typedef struct _vt_CFuncTrackTrain_t _vt_CFuncTrackTrain;
typedef struct _vt_CInfoIntermission_t _vt_CInfoIntermission;
typedef struct _vt_CRevertSaved_t _vt_CRevertSaved;
typedef struct _vt_CStripWeapons_t _vt_CStripWeapons;
typedef struct _vt_CDeadHEV_t _vt_CDeadHEV;
typedef struct _vt_CSprayCan_t _vt_CSprayCan;
typedef struct _vt_CWShield_t _vt_CWShield;
typedef struct _vt_CBasePlayer_t _vt_CBasePlayer;
typedef struct _vt_CBloodSplat_t _vt_CBloodSplat;
typedef struct _vt_CHalfLifeRules_t _vt_CHalfLifeRules;
typedef struct _vt_CSpeaker_t _vt_CSpeaker;
typedef struct _vt_CEnvSound_t _vt_CEnvSound;
typedef struct _vt_CAmbientGeneric_t _vt_CAmbientGeneric;
typedef struct _vt_CSoundEnt_t _vt_CSoundEnt;
typedef struct _vt_CBaseSpectator_t _vt_CBaseSpectator;
typedef struct _vt_CBaseDMStart_t _vt_CBaseDMStart;
typedef struct _vt_CNullEntity_t _vt_CNullEntity;
typedef struct _vt_CBaseToggle_t _vt_CBaseToggle;
typedef struct _vt_CBaseDelay_t _vt_CBaseDelay;
typedef struct _vt_CPointEntity_t _vt_CPointEntity;
typedef struct _vt_CFuncWeaponCheck_t _vt_CFuncWeaponCheck;
typedef struct _vt_CBaseGrenCatch_t _vt_CBaseGrenCatch;
typedef struct _vt_CHalfLifeTraining_t _vt_CHalfLifeTraining;
typedef struct _vt_CWeather_t _vt_CWeather;
typedef struct _vt_CTriggerCamera_t _vt_CTriggerCamera;
typedef struct _vt_CTriggerChangeTarget_t _vt_CTriggerChangeTarget;
typedef struct _vt_CTriggerGravity_t _vt_CTriggerGravity;
typedef struct _vt_CTriggerEndSection_t _vt_CTriggerEndSection;
typedef struct _vt_CTriggerSave_t _vt_CTriggerSave;
typedef struct _vt_CVIP_SafetyZone_t _vt_CVIP_SafetyZone;
typedef struct _vt_CEscapeZone_t _vt_CEscapeZone;
typedef struct _vt_CBombTarget_t _vt_CBombTarget;
typedef struct _vt_CBuyZone_t _vt_CBuyZone;
typedef struct _vt_CTriggerTeleport_t _vt_CTriggerTeleport;
typedef struct _vt_CTriggerPush_t _vt_CTriggerPush;
typedef struct _vt_CLadder_t _vt_CLadder;
typedef struct _vt_CChangeLevel_t _vt_CChangeLevel;
typedef struct _vt_CFireAndDie_t _vt_CFireAndDie;
typedef struct _vt_CTriggerVolume_t _vt_CTriggerVolume;
typedef struct _vt_CTriggerCounter_t _vt_CTriggerCounter;
typedef struct _vt_CTriggerOnce_t _vt_CTriggerOnce;
typedef struct _vt_CTriggerMultiple_t _vt_CTriggerMultiple;
typedef struct _vt_CTargetCDAudio_t _vt_CTargetCDAudio;
typedef struct _vt_CTriggerCDAudio_t _vt_CTriggerCDAudio;
typedef struct _vt_CTriggerMonsterJump_t _vt_CTriggerMonsterJump;
typedef struct _vt_CTriggerHurt_t _vt_CTriggerHurt;
typedef struct _vt_CBaseTrigger_t _vt_CBaseTrigger;
typedef struct _vt_CRenderFxManager_t _vt_CRenderFxManager;
typedef struct _vt_CMultiManager_t _vt_CMultiManager;
typedef struct _vt_CTriggerRelay_t _vt_CTriggerRelay;
typedef struct _vt_CAutoTrigger_t _vt_CAutoTrigger;
typedef struct _vt_CFrictionModifier_t _vt_CFrictionModifier;
typedef struct _vt_CClientFog_t _vt_CClientFog;
typedef struct _vt_CFuncVehicleControls_t _vt_CFuncVehicleControls;
typedef struct _vt_CFuncVehicle_t _vt_CFuncVehicle;
typedef struct _vt_CArmoury_t _vt_CArmoury;
typedef struct _vt_CWeaponBox_t _vt_CWeaponBox;
typedef struct _vt_CBasePlayerAmmo_t _vt_CBasePlayerAmmo;
typedef struct _vt_CBasePlayerWeapon_t _vt_CBasePlayerWeapon;
typedef struct _vt_CBasePlayerItem_t _vt_CBasePlayerItem;
typedef struct _vt_CDecal_t _vt_CDecal;
typedef struct _vt_CWorld_t _vt_CWorld;
typedef struct _vt_CCorpse_t _vt_CCorpse;
typedef struct _vt_CAK47_t _vt_CAK47;
typedef struct _vt_CAUG_t _vt_CAUG;
typedef struct _vt_CAWP_t _vt_CAWP;
typedef struct _vt_CC4_t _vt_CC4;
typedef struct _vt_CDEAGLE_t _vt_CDEAGLE;
typedef struct _vt_CELITE_t _vt_CELITE;
typedef struct _vt_CFiveSeven_t _vt_CFiveSeven;
typedef struct _vt_CFlashbang_t _vt_CFlashbang;
typedef struct _vt_CG3SG1_t _vt_CG3SG1;
typedef struct _vt_CGLOCK18_t _vt_CGLOCK18;
typedef struct _vt_CHEGrenade_t _vt_CHEGrenade;
typedef struct _vt_CKnife_t _vt_CKnife;
typedef struct _vt_CM249_t _vt_CM249;
typedef struct _vt_CM3_t _vt_CM3;
typedef struct _vt_CM4A1_t _vt_CM4A1;
typedef struct _vt_CMAC10_t _vt_CMAC10;
typedef struct _vt_CMP5N_t _vt_CMP5N;
typedef struct _vt_CP228_t _vt_CP228;
typedef struct _vt_CP90_t _vt_CP90;
typedef struct _vt_CSCOUT_t _vt_CSCOUT;
typedef struct _vt_CSG550_t _vt_CSG550;
typedef struct _vt_CSG552_t _vt_CSG552;
typedef struct _vt_CSmokeGrenade_t _vt_CSmokeGrenade;
typedef struct _vt_CTMP_t _vt_CTMP;
typedef struct _vt_CUMP45_t _vt_CUMP45;
typedef struct _vt_CUSP_t _vt_CUSP;
typedef struct _vt_CFamas_t _vt_CFamas;
typedef struct _vt_CGalil_t _vt_CGalil;
typedef struct _vt_CXM1014_t _vt_CXM1014;
typedef struct _vt_CVoiceGameMgr_t _vt_CVoiceGameMgr;
typedef struct _vt_CHostage_t _vt_CHostage;
typedef struct _vt_CBot_t _vt_CBot;
typedef struct _vt_CCareerTask_t _vt_CCareerTask;
typedef struct _vt_CBotManager_t _vt_CBotManager;
typedef struct _vt_CCSBotManager_t _vt_CCSBotManager;
